Why won't this GIF show in IE?

I’m at a loss here. The image on the right shows fine on my Mac, and it shows fine in FireFox on my Windows XP PC, but on IE6, it shows as a broken image.



Here’s what identify has to say about it:



UI11-badge.gif GIF 90x57 90x56+0+0 PseudoClass 256c 2kb 0.000u 0:01


Does anything look wrong here? What to do, where to look?

8 comments

Hamilton http://hamisageek.blogspot.com

Hi Lars, I think IE is playing tricks with your eyes. It looks perfectly fine. Sent you a snapshot from my desktop. Maybe clearing the cache with help ? Hamilton
Read more
Read less
  Cancel
Didn't get the snapshot, but I'm still not seeing the image, even after clearing the cache. Weird.
Read more
Read less
  Cancel
Yours http://www.tokes.dk/lars/UI11-badge.gif Saved with IrfanView http://www.tokes.dk/lars/UI11badge.GIF In MS IE it makes a difference, but why?
Read more
Read less
  Cancel
Hamilton http://hamisageek.blogspot.com

I have firefox on the left and IE on the right. http://www.23hq.com/hgcphoenix/photo/1119915/view-large I could not spot any difference in the image.
Read more
Read less
  Cancel
With IE6 on XP, don't see the image either.
Read more
Read less
  Cancel
I can not see the image in IE either. Neither directly in IE or from IE through Firefox.
Read more
Read less
  Cancel
Ok, it seems to be an issue with imagemagick 6.0. convert -geometry 90x90 on the original (https://www.uie.com/events/uiconf/2006/images/UI11-badge.gif) produces the broken output every time. Using the same command with version 6.2 produces a working GIF. Unfortunately, upgrading to imagemigack 6.2 on Debian stable is hard.
Read more
Read less
  Cancel
I've changed the code on http://events.boxesandarrows.com/ to make it a JPEG instead, which doesn't exhibit this bug, but it's annoying. If I try to apt-get install imagemagick from unstable, this is the list of packages it wants to install: The following extra packages will be installed: busybox initramfs-tools kernel-image-2.6-686-smp klibc-utils libc6 libc6-dev libfreetype6 libfreetype6-dev libklibc libmagick9 libselinux1 libsepol1 libvolume-id0 libxml2 libxml2-dev linux-image-2.6-686 linux-image-2.6-686-smp linux-image-2.6.17-2-686 lsb-base makedev module-init-tools tzdata udev Frankly, that's just a bit much for my taste. Any suggestions? Go ahead and do it? Build manually?
Read more
Read less
  Cancel

Leave a comment